PTHREAD_ATTR(3)

NAME
pthread_attr_destroy, pthread_attr_init - thread attribute operations

SYNOPSIS
#include <pthread.h>
int
pthread_attr_destroy(pthread_attr_t *attr);
int
pthread_attr_init(pthread_attr_t *attr);

DESCRIPTION
Thread attributes are used to specify parameters to pthread_create(). One attribute object can be used in multiple calls to pthread_create(), with or without modifications between calls.

The pthread_attr_init() function initializes attr with all the default thread attributes.

The pthread_attr_destroy() function destroys attr.

RETURN VALUES
If successful, these functions return 0. Otherwise, an error number is returned to indicate the error.

ERRORS
pthread_attr_init() will fail if:

[ENOMEM]
    Out of memory.

pthread_attr_destroy() will fail if:

[EINVAL]
    Invalid value for attr.

SEE ALSO
pthread_create(3)

STANDARDS
pthread_attr_init(), pthread_attr_destroy() conform to p1003.1-96